Subject: Re: bug#77921: GIMP does not start

From: Tomas Volf <[email-masked]>
Date: Sat, 26 Apr 2025 21:11:28 +0200

Tomas Volf <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> As some data point, I don't reproduce using GNOME with Wayland.  What
>> is your environment like?
>
> I am using i3 (so Xorg), with no desktop environment present.
>
>> Do you have some 'guix shell' command to reproduce the failure?
>
> Now that I have tried, I must say I do not, which is interesting.  I
> have put together the following command:
>
> guix time-machine -q --commit=7ff20b9e94c429f1160bd8f0db86b153a03e4683 \
>     -- shell -C -E ^DISPLAY\$ -E ^DBUS_SESSION_BUS_ADDRESS\$           \
>     --expose=/run/user/1000                                            \
>     --expose=$HOME/.Xauthority                                         \
>     --expose=/tmp/.X11-unix                                            \
>     --no-cwd gimp gtk+ -- gimp
>
> Ignoring the fact that I need to provide the gtk+ package (will file a
> separate bug for that), the GIMP starts fine.  So there is probably
> *some* interference from my environment, but I do not really have any
> ideas how to narrow it down.  Will keep looking.

So I have managed to narrow it down to the following environment
variable: GI_TYPELIB_PATH

So on my machine the following command is enough to reproduce the issue:

    guix time-machine -q --commit=7ff20b9e94c429f1160bd8f0db86b153a03e4683 -- shell --pure -E '^GI_TY' gimp gtk+ -- gimp

And the following works as a workaround for running it:

    env -u GI_TYPELIB_PATH gimp

I have no idea what the variable is and from where it gets set, I am not
setting it in my configuration, so it comes from Guix itself (well, some
package I assume).  The value is:

--8<---------------cut here---------------start------------->8---
$ env | sort | grep -i GI_T
GI_TYPELIB_PATH=/home/wolf/.guix-home/profile/lib/girepository-1.0:/home/wolf/.guix-home/profile/lib/girepository-1.0
--8<---------------cut here---------------end--------------->8---

No, I do not know why the value is duplicated.

Tomas

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.